Subject: [Errata Held for Document Update] RFC7231 (4689)

From: RFC Errata System <[email-masked]>
Date: Thu, 23 Feb 2017 07:01:26 -0800 (PST)

The following errata report has been held for document update 
for RFC7231, "Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7231&eid=4689

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Daurnimator <[email-masked]>
Date Reported: 2016-05-10
Held by: Alexey Melnikov (IESG)

Section: 3.1.1.2

Original Text
-------------
3.1.1.2.  Charset

   HTTP uses charset names to indicate or negotiate the character
   encoding scheme of a textual representation [RFC6365].  A charset is
   identified by a case-insensitive token.

     charset = token

   Charset names ought to be registered in the IANA "Character Sets"
   registry (<http://www.iana.org/assignments/character-sets>) according
   to the procedures defined in [RFC2978].

Corrected Text
--------------
3.1.1.2.  Charset

   HTTP uses charset names to indicate or negotiate the character
   encoding scheme of a textual representation [RFC6365].

     charset       = <mime-charset, see [RFC5987], Section 3.2.1>

   Charset names ought to be registered in the IANA "Character Sets"
   registry (<http://www.iana.org/assignments/character-sets>) according
   to the procedures defined in [RFC2978].

Notes
-----
The definition of charset from RFC 5987 is more strict and more correct.

Mark Nottingham: This is not an errata; it is a suggestion for a technical change in the document, and needs to be discussed by the working group.

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG